Bug 223319 - lang/php56: Update to 5.6.32 (Fixes security vulnerabilities)
Summary: lang/php56: Update to 5.6.32 (Fixes security vulnerabilities)
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alex Dupre
URL: https://secure.php.net/ChangeLog-5.ph...
Keywords: security
Depends on:
Blocks:
 
Reported: 2017-10-30 08:39 UTC by Dani
Modified: 2018-02-26 09:32 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ale)
i.dani: maintainer-feedback? (ports-secteam)
koobs: merge-quarterly?


Attachments
Update to 5.6.32 (1.16 KB, patch)
2017-10-30 08:39 UTC, Dani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2017-10-30 08:39:55 UTC
Created attachment 187580 [details]
Update to 5.6.32

Update to latest PHP 5.6 release - current is vulnerable.

Update to 5.6.32 release.
  - Remove PORTREVISION for slave ports
  - Fix for CVE-2016-1283
  - Other changes: http://php.net/ChangeLog-5.php#5.6.32
Comment 1 commit-hook freebsd_committer 2017-11-01 11:40:25 UTC
A commit references this bug:

Author: ale
Date: Wed Nov  1 11:39:44 UTC 2017
New revision: 453277
URL: https://svnweb.freebsd.org/changeset/ports/453277

Log:
  Update to 5.6.32 release.

  PR:		223319
  Submitted by:	Dani <i.dani@outlook.com>

Changes:
  head/archivers/php56-zip/Makefile
  head/converters/php56-mbstring/Makefile
  head/lang/php56/Makefile
  head/lang/php56/distinfo
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-11-06 04:26:27 UTC
Pending MFH

VuXML was committed (but PR not referenced) in ports r453180
Comment 3 commit-hook freebsd_committer 2017-12-06 21:49:24 UTC
A commit references this bug:

Author: brd
Date: Wed Dec  6 21:49:08 UTC 2017
New revision: 455682
URL: https://svnweb.freebsd.org/changeset/ports/455682

Log:
  MFH r453277

  Update to 5.6.32 release.

  PR:		223319
  Approved by:	portmgr (swills)
  Security:	de7a2b32-bd7d-11e7-b627-d43d7e971a1b

Changes:
_U  branches/2017Q4/
  branches/2017Q4/archivers/php56-zip/Makefile
  branches/2017Q4/converters/php56-mbstring/Makefile
  branches/2017Q4/lang/php56/Makefile
  branches/2017Q4/lang/php56/distinfo